Skip to main content
POST
https://api.muvi.video
/
v1
/
jobs
/
submit
Nano Banana Pro
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "prompt": "<string>",
    "image_urls": [
      {}
    ],
    "aspect_ratio": "<string>",
    "resolution": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}
Generate images from text descriptions with Google’s fast and affordable Nano Banana Pro model. Supports multiple aspect ratios and resolution tiers.
PropertyValue
ProviderGoogle
ModelNano Banana Pro
CapabilityText to Image
Base Cost134,000 micro-cents/request ($0.134)
Processing Time~30 seconds

Request Body

model
string
required
Model slug. Use google/nano-banana-pro/text-to-image for text-to-image generation.
input
object
required
Input parameters for text-to-image generation.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 134,000 micro-cents per request ($0.134)
finalCost = baseCost × resolution
FactorOptionMultiplier
Resolution1k1x
2k1x
4k1.8x
Default cost: 1k resolution = 134,000 × 1 = 134,000 micro-cents ($0.134)4k cost: 134,000 × 1.8 = 241,200 micro-cents ($0.2412)

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "google/nano-banana-pro/text-to-image",
    "input": {
      "prompt": "A futuristic cityscape at sunset with flying cars",
      "aspect_ratio": "16:9",
      "resolution": "2k"
    }
  }'

Edit Image

Edit and transform existing images using Google’s Nano Banana Pro model. Provide reference images along with a text prompt to guide the editing process.
PropertyValue
ProviderGoogle
ModelNano Banana Pro
CapabilityEdit Image
CategoryImage to Image
Base Cost134,000 micro-cents/request ($0.134)
Processing Time~30 seconds

Request Body

model
string
required
Model slug. Use google/nano-banana-pro/edit-image for image editing.
input
object
required
Input parameters for image editing.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 134,000 micro-cents per request ($0.134)
finalCost = baseCost × resolution
FactorOptionMultiplier
Resolution1k1x
2k1x
4k1.8x
Default cost: 1k resolution = 134,000 × 1 = 134,000 micro-cents ($0.134)4k cost: 134,000 × 1.8 = 241,200 micro-cents ($0.2412)

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "google/nano-banana-pro/edit-image",
    "input": {
      "prompt": "Edit an image by replacing the background",
      "image_urls": ["https://example.com/your-image.jpg"],
      "aspect_ratio": "16:9",
      "resolution": "1k"
    }
  }'